gtk3-0.15.10: Binding to the Gtk+ 3 graphical user interface library

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.Misc.IMContextSimple

Contents

- Class Hierarchy
- Types
- Constructors
- Methods

Description

An input method context supporting table-based input methods

Synopsis

- data IMContextSimple
- class IMContextClass o => IMContextSimpleClass o
- castToIMContextSimple :: GObjectClass obj => obj -> IMContextSimple
- toIMContextSimple :: IMContextSimpleClass o => o -> IMContextSimple
- imContextSimpleNew :: IO IMContextSimple
- imContextSimpleAddTable :: (IMContextSimpleClass self, GlibString string) => self -> Map string string -> Int -> Int -> IO ()

# Class Hierarchy

    | GObject
    | +----IMContext
    | +----IMContextSimple

# Types

data IMContextSimple Source #

#### Instances

Instances details

Eq IMContextSimple Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods (==) :: IMContextSimple -> IMContextSimple -> Bool Source # (/=) :: IMContextSimple -> IMContextSimple -> Bool Source #
Ord IMContextSimple Source # |

Instance details

Defined in Graphics.UI.Gtk.Types

Methods

compare :: IMContextSimple -> IMContextSimple -> Ordering Source #

(<) :: IMContextSimple -> IMContextSimple -> Bool Source #

(<=) :: IMContextSimple -> IMContextSimple -> Bool Source #

(>) :: IMContextSimple -> IMContextSimple -> Bool Source #

(>=) :: IMContextSimple -> IMContextSimple -> Bool Source #

max :: IMContextSimple -> IMContextSimple -> IMContextSimple Source #

min :: IMContextSimple -> IMContextSimple -> IMContextSimple Source #

GObjectClass IMContextSimple Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods toGObject :: IMContextSimple -> GObject Source # unsafeCastGObject :: GObject -> IMContextSimple Source #
IMContextClass IMContextSimple Source # |
Instance details Defined in Graphics.UI.Gtk.Types
IMContextSimpleClass IMContextSimple Source # |
Instance details Defined in Graphics.UI.Gtk.Types

class IMContextClass o => IMContextSimpleClass o Source #

#### Instances

Instances details

IMContextSimpleClass IMContextSimple Source # |
Instance details Defined in Graphics.UI.Gtk.Types

castToIMContextSimple :: GObjectClass obj => obj -> IMContextSimple Source #

toIMContextSimple :: IMContextSimpleClass o => o -> IMContextSimple Source #

# Constructors

imContextSimpleNew :: IO IMContextSimple Source #

Creates a new `IMContextSimple`.

# Methods

imContextSimpleAddTable Source #

Arguments

:: (IMContextSimpleClass self, GlibString string) |
=> self |
-> Map string string | `data` - the table
-> Int | `maxSeqLen` - Maximum length of a sequence in the table (cannot be greater than `MaxComposeLen`)
-> Int | `nSeqs` - number of sequences in the table
-> IO () |

Adds an additional table to search to the input context. Each row of the table consists of `maxSeqLen` key symbols followed by two `Int` interpreted as the high and low words of a gunicode value. Tables are searched starting from the last added.

The table must be sorted in dictionary order on the numeric value of the key symbol fields. (Values beyond the length of the sequence should be zero.)